--- a/scripts/queryresume.pl
+++ b/scripts/queryresume.pl
@@ -10,12 +10,12 @@
     name        => 'QueryResume',
     description => 'restores the last lines of a query on re-creation',
     license     => 'GPLv2',
-    modules     => 'Date::Format File::Glob',
+    modules     => 'POSIX File::Glob',
     changed     => $VERSION,
 );  
 
 use Irssi 20020324;
-use Date::Format;
+use POSIX qw(strftime);
 use File::Glob ':glob';
 
 sub draw_box ($$$$) {
@@ -41,8 +41,7 @@
     $filename =~ s/\$tag\b|\$\{tag\}|\$1\b|\$\{1\}/$servertag/g;
     $filename =~ s/\$0\b|\$\{0\}/$name/g;
     my @lt = localtime(time);
-    my $zone;
-    $filename = strftime($filename, @lt, $zone);
+    $filename = strftime($filename, @lt);
     $filename =~ s/(\[|\])/\\$1/g;
     local *F;
     open(F, "<".bsd_glob($filename));
